POST
List card products
Use this endpoint to retrieve the card products that can be used when creating a card.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keycurl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/cardProduct/list' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ productId, productName, ... }Card products available to the merchant.
{
"respCode": "20000",
"respMsg": "success",
"data": [
{
"productId": 20001,
"productName": "Example Virtual Card",
"cardBin": "411111",
"cardScheme": "VISA",
"issueCurrency": "USD",
"issueRegionCode": "US",
"cardholderConfig": {
"maxCardCount": 5,
"requiredFields": [
"firstName",
"lastName"
]
},
"cardRechargeConfig": {
"rechargeMinQuota": 10.00,
"rechargeMaxQuota": 10000.00
},
"feeViews": [
{
"name": "setupFee",
"value": "10.00 USD"
}
]
}
]
}No error responses are documented for this endpoint.